org.icefaces.ace.component.drawerpanel

## Class DrawerPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.drawerpanel.DrawerPanelBase
        - - org.icefaces.ace.component.drawerpanel.DrawerPanel

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDrawerPanel

      public class DrawerPanel
      extends DrawerPanelBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.drawerpanel.DrawerPanelBase

      `DrawerPanelBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.drawerpanel.DrawerPanelBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawerPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`

    - ### Methods inherited from class org.icefaces.ace.component.drawerpanel.DrawerPanelBase

      `addClientBehavior, getContainer, getDefaultEventName, getDefaultExecute, getDefaultRender, getEffect, getEventNames, getFamily, getHeader, getHeight, getListenerArgument, getOnClose, getOnOpen, getPosition, getSetFocus, getStyle, getStyleClass, getWidth, getZindex, isCloseOnEscape, isCloseOnOutsideClick, isModal, isPropertySet, isShowHandleClose, isShowHandleOpen, isShowHeader, isVisible, setCloseOnEscape, setCloseOnOutsideClick, setContainer, setEffect, setHeader, setHeight, setModal, setOnClose, setOnOpen, setPosition, setSetFocus, setShowHandleClose, setShowHandleOpen, setShowHeader, setStyle, setStyleClass, setValueExpression, setVisible, setWidth, setZindex`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Constructor Detail

    - #### DrawerPanel

          public DrawerPanel()

  - ### Method Detail

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.